		var url = "xmlhttp.php?action=CheckUsername&user="; // The server-side script
		function emailCheck (emailStr) {
			var checkTLD=1;
			var knownDomsPat=/^(com|net|org|edu|int|mil|gov|arpa|biz|aero|name|coop|info|pro|museum)$/;
			var emailPat=/^(.+)@(.+)$/;
			var specialChars="\\(\\)><@,;:\\\\\\\"\\.\\[\\]";
			var validChars="\[^\\s" + specialChars + "\]";
			var quotedUser="(\"[^\"]*\")";
			var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/;
			var atom=validChars + '+';
			var word="(" + atom + "|" + quotedUser + ")";
			var userPat=new RegExp("^" + word + "(\\." + word + ")*$");
			var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$");
			var matchArray=emailStr.match(emailPat);
			if (matchArray==null) {
				LoginStatus('email_1','email_1_status',null,'0', 'Email seems incorrect (check @ and .s)');
				return false;
			}
			var user=matchArray[1];
			var domain=matchArray[2];
			for (i=0; i<user.length; i++) {
				if (user.charCodeAt(i)>127) {
					LoginStatus('email_1','email_1_status',null,'0', 'Ths email contains invalid characters.');
					return false;
			   }
			}
			for (i=0; i<domain.length; i++) { 
				if (domain.charCodeAt(i)>127) {
					LoginStatus('email_1','email_1_status',null,'0', 'Ths domain name contains invalid characters.');
					return false;
				}
			}
			if (user.match(userPat)==null) {
				LoginStatus('email_1','email_1_status',null,'0', 'The username doesnt seem to be valid.');
				return false;
			}
			var IPArray=domain.match(ipDomainPat);
			if (IPArray!=null) {
				for (var i=1;i<=4;i++) {
					if (IPArray[i]>255) {
						LoginStatus('email_1','email_1_status',null,'0', 'Destination IP address is invalid!');
						return false;
					}
				}
				return true;
			}
			var atomPat=new RegExp("^" + atom + "$");
			var domArr=domain.split(".");
			var len=domArr.length;
			for (i=0;i<len;i++) {
				if (domArr[i].search(atomPat)==-1) {
					LoginStatus('email_1','email_1_status',null,'0', 'The domain name does not seem to be valid.');
					return false;
				}
			}
			if (checkTLD && domArr[domArr.length-1].length!=2 && 
			domArr[domArr.length-1].search(knownDomsPat)==-1) {
				LoginStatus('email_1','email_1_status',null,'0', 'The address must end in a well-known domain or two letter country.')
				return false;
			}
			if (len<2) {
				 LoginStatus('email_1','email_1_status',null,'0', 'This address is missing a hostname!');
				return false;
			}
			return true;
		}
		function isInt (str)
		{
			var i = parseInt (str);
			if (isNaN (i))
				return false;
		
			i = i . toString ();
			if (i != str)
				return false;
		
			return true;
		}
		var isWorking = false;
		function handleHttpResponse_2() {
		  if (http.readyState == 4) {
			if (http.responseText.indexOf('invalid') == -1) {
			  // Split the comma delimited response into an array
			  results = http.responseText.split(",");
			  if (results[1] == "Invalid") {
			  	document.getElementById('username').value = '';
				LoginStatus('username','username_status',null,'0', results[0] + ' is in use');
				isWorking = false;
			  } else {
			  	document.getElementById('username').value = results[0];
				LoginStatus('username','username_status',null,'1', results[0] + " Is Available");
				isWorking = false;
			  }
			}
		  }
		}
		function CheckUserName() {
			var form = document.register;	
				if (form.username.value.length < 3) {
				 	LoginStatus('username','username_status',null,'0', 'The username must me 3 chars or more');
				 	isWorking = false;
				} else {
				if (!isWorking && http) {
					var UserName = document.getElementById("username").value;
					document.getElementById('username').value = "Checking...";
					http.open("GET", url + escape(UserName), true);
					http.onreadystatechange = handleHttpResponse_2;
					isWorking = true;
					http.send(null);
				}
			}
		}
		function getHTTPObject() {
		  var xmlhttp;
		  /*@cc_on
		  @if (@_jscript_version >= 5)
			try {
			  xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
			} catch (e) {
			  try {
				xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
			  } catch (E) {
				xmlhttp = false;
			  }
			}
		  @else
		  xmlhttp = false;
		  @end @*/
		  if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
			try {
			  xmlhttp = new XMLHttpRequest();
			} catch (e) {
			  xmlhttp = false;
			}
		  }
		  return xmlhttp;
		}
		function LoginStatus(ID,ID2,parentID,sText,reason) {
			var inputboxElem = document.getElementById(ID);
			var ID2 = ID + "_status";
			if (typeof reason == "undefined") {
				reason = "";
			}
			if (sText == 0) {
				var sText = "&nbsp;<img src='./images/bad.gif'>&nbsp;";
				inputboxElem.setAttribute("class", "inputbad");
				inputboxElem.setAttribute("className", "inputbad");
			} else if (sText == 1) {
				var sText = "&nbsp;<img src='./images/good.gif'>&nbsp;";
				inputboxElem.setAttribute("class", "inputgood");
				inputboxElem.setAttribute("className", "inputgood");
			}
			if (document.layers) {
				var oLayer = (parentID)? eval('document.' + parentID + '.document.' + ID2 + '.document') : document.layers[ID2].document;
				oLayer.open();
				oLayer.write(sText + reason + progressbar);
				oLayer.close();
			}
			else if (document.all) document.all[ID2].innerHTML = sText + reason
			else if (parseInt(navigator.appVersion)>=5&&navigator.appName=="Netscape") {
				document.getElementById(ID2).innerHTML = sText + reason;
			}
		}
		function varfield(field) {
			var form = document.register;
			var r = new RegExp("[\<|\>|\"|\'|\%|\;|\(|\)|\&|\+|\-]", "i");
			if (field == 1) {
				if (form.password_1.value.length < 6) {
					LoginStatus('password_1','password_1_status',null,'0', 'Password must be 6 chars or more');
				} else {
					LoginStatus('password_1','password_1_status',null,'1', 'Valid Password');
				}
			} else if (field == 2) {
				if ((form.password_2.value.length < 6) || (form.password.value != "") && (form.password_1.value != form.password_2.value)){
					LoginStatus('password_2','password_2_status',null,'0', 'Password does not match the one to the left');
				} else {
					LoginStatus('password_2','password_2_status',null,'1', 'Passwords Match');
				}
			} else if (field == 3) {
				if (emailCheck(form.email.value) == false) {
				} else {
					 LoginStatus('email_1','email_1_status',null,'1', 'Valid Email');
				}
			} else if (field == 4) {
				if ((form.email_2.value.length < 6) || (form.password.value != "") && (form.email_1.value != form.email_2.value)){
					LoginStatus('email_2','email_2_status',null,'0', 'Email does not match the one to the left');
				} else {
					 LoginStatus('email_2','email_2_status',null,'1', 'Emails Match');
				}
			}
		}

		var http = getHTTPObject(); // We create the HTTP Object